package com.yzdx.AiInterviewer.comment;

import lombok.Data;

@Data
public class R<T>{
    private Integer code;
    private String message;
    private Object data;


    public static<T> R<T> success(T object){
        R r=  new R<>();
        r.code=0;
        r.data=object;
        r.message="成功";
        return r;
    }

    public static <T> R<T> success(String message,T object){
        R r=  new R<>();
        r.code=0;
        r.data=object;
        r.message=message;
        return r;
    }
    public static<T> R<T> error(String message){
        R r=new R<>();

        r.code=1;
        r.message=message;
        return r;
    }
    public static<T> R<T> error(Integer code,String message){
        R r=new R<>();

        r.code=code;
        r.message=message;
        return r;
    }
    public R() {
    }
}
