package com.yzdx.AiInterviewer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("面试背景实体类")
@TableName("interview_background")
public class BackgroundEntity extends BaseEntity {
    @ApiModelProperty("背景图片id")
    @TableId(type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("背景图片url地址")
    private String image;
    @ApiModelProperty("背景图片名称")
    private String picName;
    @ApiModelProperty("公司编码")
    private String encoding;
    @ApiModelProperty("文件名称")
    private String filename;
}
