package com.yzdx.AiInterviewer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("公司主体类")
@TableName("company")
public class Company extends BaseEntity {
    @ApiModelProperty("公司id")
    @TableId(type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("公司简称")
    private String companyName;
    @ApiModelProperty("公司全称")
    private String companyAllName;
    @ApiModelProperty("公司详情")
    private String companyDetail;
    @ApiModelProperty("公司类型")
    private String type;
    @ApiModelProperty("公司地址")
    private String address;
    @ApiModelProperty("公司详细地址")
    private String addressDetail;
    @ApiModelProperty("公司待遇")
    private String treatment;
    @ApiModelProperty("法定代表人")
    private String legalRepresentative;
    @ApiModelProperty("注册资本")
    private String registeredCapital;
    @ApiModelProperty("成立日期")
    private String established;
    @ApiModelProperty("统一信用编码")
    private String creditCode;
    @ApiModelProperty("公司图片")
    private String images;
    @ApiModelProperty("公司使用的登陆编码")
    private String encoding;
    @ApiModelProperty("企业人数")
    private String staffNumber;
    @ApiModelProperty("公司logo")
    private String companyLogo;
}
