package com.yzdx.AiInterviewer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
@ApiModel("面试官形象实体类")
@Data
@TableName("interview_images")
public class ImagesEntity extends BaseEntity{
    @ApiModelProperty("面试官形象id")
    @TableId(type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("面试官形象图片url地址")
    private String image;
    @ApiModelProperty("面试官形象视频url地址")
    private String video;
    @ApiModelProperty("面试官性别")
    private String sex;
    @ApiModelProperty("形象图片名称")
    private String picName;
    @ApiModelProperty("公司编码")
    private String encoding;
    @ApiModelProperty("文件名称")
    private String filename;
}
