package com.yzdx.AiInterviewer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
@ApiModel("logo实体类")
@Data
@TableName("interview_logo")
public class LogoEntity extends BaseEntity{
    @ApiModelProperty("公司logo id")
    @TableId(type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("公司logo url地址")
    private String image;
    @ApiModelProperty("logo图片名称")
    private String picName;
    @ApiModelProperty("公司编码")
    private String encoding;
    @ApiModelProperty("文件名称")
    private String filename;
}
