package com.yzdx.AiInterviewer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("题目实体类")
@TableName("question")
public class Question extends BaseEntity {
    @ApiModelProperty("题目id")
    @TableId(type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("题目标题")
    private String title;
    @ApiModelProperty("题目详情")
    private String details;
    @ApiModelProperty("题目的预设答案")
    private String answer;
    @ApiModelProperty("题库id")
    private Integer bankId;
    @ApiModelProperty("公司编码")
    private String companyEncoding;
}
