package com.yzdx.AiInterviewer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("分享题库实体类")
@Data
@TableName("sharedBank")
public class SharedQuestionBank extends BaseEntity {
    @ApiModelProperty("题库id")
    @TableId(type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("题库名称")
    private String typeName;
    @ApiModelProperty("题库类型")
    private Integer type;
    @ApiModelProperty("描述")
    private String description;
    @ApiModelProperty("创建公司编码")
    private String createCompany;
}
