package com.yzdx.AiInterviewer.entity.dto;

import com.yzdx.AiInterviewer.entity.InterviewSetting;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class JobSettingDto extends InterviewSetting {
    @ApiModelProperty("岗位名称")
    private String jobName;
    @ApiModelProperty("背景图片")
    private String backgroundUrl;
    @ApiModelProperty("形象图片")
    private String imageUrl;
    @ApiModelProperty("形象视频")
    private String videoUrl;
    @ApiModelProperty("logo图片")
    private String logoUrl;
    @ApiModelProperty("题库名数组")
    private List<String> questionTypes;

}
