package com.yzdx.AiInterviewer.entity.vxEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yzdx.AiInterviewer.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("意见反馈表")
@TableName("feedback")
public class VxFeedBack extends BaseEntity {
    @ApiModelProperty("反馈id")
    @TableId(type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("用户id")
    private Integer userId;
    @ApiModelProperty("反馈内容")
    private String content;
    @ApiModelProperty("状态")
    private Integer status;
    @ApiModelProperty("图片地址")
    private String imgUrl;
    @ApiModelProperty("联系方式")
    private String phone;
}
