package com.yzdx.AiInterviewer.entity.vxEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("面试记录类")
@TableName("interview_record")
public class VxInterviewRecord {
    @ApiModelProperty("面试记录id")
    @TableId(type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("公司编码")
    private String companyEncoding;
    @ApiModelProperty("面试评语")
    private String comments;
    @ApiModelProperty("面试记录状态")
    private Integer status;
    @ApiModelProperty("面试者id")
    private Integer interviewer;
    @ApiModelProperty("创建时间")
    private String createTime;
    @ApiModelProperty("更新时间")
    private String updateTime;
    @ApiModelProperty("创建人id")
    private Integer createUser;
    @ApiModelProperty("更新人id ")
    private Integer updateUser;
    @ApiModelProperty("面试通知id")
    private Integer noticeId;
    @ApiModelProperty("面试详情")
    private String detail;
    @ApiModelProperty("人才画像id")
    private Integer talentId;

}
