package com.yzdx.AiInterviewer.service.VxService;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yzdx.AiInterviewer.entity.vxEntity.VxJobLike;
import com.yzdx.AiInterviewer.entity.VxEntityDto.VxJobLikeDto;

import java.util.List;

public interface VxJobLikeService extends IService<VxJobLike> {

    /**
     * 根据用户id查询关注岗位列表
     * @param userId 用户ID
     * @return VxJobLikeDto列表
     *
     * */
    List<VxJobLikeDto> getJobLikeListById(Integer userId);


    Integer addJobLike(Integer jobId, Integer userId);


    Integer cancelJobLike(Integer jobId,Integer userId);
}
