package com.yzdx.AiInterviewer.service.VxService.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yzdx.AiInterviewer.entity.vxEntity.VxCarouselChart;
import com.yzdx.AiInterviewer.mapper.VxMapper.VxCarouselChartMapper;
import com.yzdx.AiInterviewer.service.VxService.VxCarouselChartService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class VxCarouselChartServiceImpl extends ServiceImpl<VxCarouselChartMapper, VxCarouselChart> implements VxCarouselChartService {

    @Autowired
    private VxCarouselChartMapper vxCarouselChartMapper;

    @Override
    public String getVxCarouselChartService() {

        VxCarouselChart vxCarouselChart= vxCarouselChartMapper.selectOne(null);

        return vxCarouselChart.getImages();
    }

    @Override
    public Integer updateCarouselChartService(String images) {

        VxCarouselChart vxCarouselChart = vxCarouselChartMapper.selectById(5);

        vxCarouselChart.setImages(images);

        Integer rows = vxCarouselChartMapper.updateById(vxCarouselChart);

        return rows;

    }
}
