package com.yzdx.AiInterviewer.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yzdx.AiInterviewer.entity.BlackToken;
import com.yzdx.AiInterviewer.mapper.BlackTokenMapper;
import com.yzdx.AiInterviewer.service.BlackTokenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class BlackTokenServiceImpl extends ServiceImpl<BlackTokenMapper, BlackToken> implements BlackTokenService {

    @Autowired
    private BlackTokenMapper blackTokenMapper;

    @Override
    public boolean isBlackToken(String token) {
        LambdaQueryWrapper<BlackToken> queryWrapper=new LambdaQueryWrapper<>();

        queryWrapper.eq(BlackToken::getValue,token);

        BlackToken selectOne = blackTokenMapper.selectOne(queryWrapper);

        if(selectOne!=null){
            return true;
        }
     return false;
    }
}
