package com.yzdx.AiInterviewer.utiles;

import com.yzdx.AiInterviewer.entity.ApplicationCount;
import com.yzdx.AiInterviewer.entity.Company;
import com.yzdx.AiInterviewer.mapper.ApplicationCountMapper;
import com.yzdx.AiInterviewer.mapper.CompanyMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

@Component // 把此类托管给 Spring，不能省略
public class TaskUtils {
//0 0 * * * ?
//    0/2 * * * * ?
    @Autowired
    private ApplicationCountMapper applicationCountMapper;

    @Autowired
    private CompanyMapper companyMapper;
    // 添加定时任务
    @Scheduled(cron = "0 0 0 * * ? ") // cron表达式：每天2:00 执行
    public void doTask(){
        applicationCountMapper.autoDeleteApplicationCount();

        List<Company> companies = companyMapper.selectList(null);

        ApplicationCount applicationCount=new ApplicationCount();

        for (Company company:companies) {

            applicationCount.setCount(0);

            applicationCount.setEncoding(company.getEncoding());

            applicationCount.setCreateTime(TimeUtil.getTime());

            applicationCountMapper.insert(applicationCount);
        }

    }

}
