package com.yzdx.AiInterviewer.controller;

import com.yzdx.AiInterviewer.comment.R;
import com.yzdx.AiInterviewer.entity.ApplicationCount;
import com.yzdx.AiInterviewer.service.ApplicationCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/company")
public class CompanyController {

    @Autowired
    private ApplicationCountService applicationCountService;

    @GetMapping("/getApplicationCount")
    public R getApplicationCount(Integer days,String encoding){

        if(days==7){

            List<ApplicationCount> applicationCountSevenDays = applicationCountService.getApplicationCountSevenDays(encoding);

            return R.success(applicationCountSevenDays);

        }else {

            List<ApplicationCount> applicationCountThirtyDays = applicationCountService.getApplicationCountThirtyDays(encoding);

            return R.success(applicationCountThirtyDays);
        }

    }
}
