package com.yzdx.AiInterviewer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName("interview_setting")
@ApiModel("面试设置实体类")
public class InterviewSetting extends BaseEntity {
    @ApiModelProperty("面试设置id")
    @TableId(type = IdType.AUTO)
    private Integer Id;
    @ApiModelProperty("岗位id")
    private Integer jobId;
    @ApiModelProperty("面试官形象id")
    private Integer imagesId;
    @ApiModelProperty("面试背景id")
    private Integer backgroundId;
    @ApiModelProperty("公司logoId")
    private Integer logoId;
    @ApiModelProperty("专业题库id")
    private Integer professional;
    @ApiModelProperty("综合面试题库")
    private Integer comprehensive;
    @ApiModelProperty("心理测试题库")
    private Integer psychology;
    @ApiModelProperty("岗位promote")
    private String jobPromote;
    @ApiModelProperty("公司编码")
    private String encoding;
}
