package com.yzdx.AiInterviewer.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("岗位期望实体类")
@TableName("job_expectation")
public class JobExpectation extends BaseEntity{
    @ApiModelProperty("岗位期望id")
    private Integer id;
    @ApiModelProperty("岗位类型")
    private Integer expectationType;
    @ApiModelProperty("期望职位")
    private String position;
    @ApiModelProperty("期望地点")
    private String location;
    @ApiModelProperty("期望薪资")
    private String salary;
    @ApiModelProperty("用户ID")
    private Integer userId;
}
