package com.yzdx.AiInterviewer.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("简历实体类")
@TableName("resume")
public class Resume extends BaseEntity{
    @ApiModelProperty("简历id")
    @TableId(type= IdType.AUTO)
    private Integer id;
    @ApiModelProperty("头像")
    private String avatar;
    @ApiModelProperty("名字")
    private String name;
    @ApiModelProperty("年龄")
    private Integer Age;
    @ApiModelProperty("性别")
    private String sex;
    @ApiModelProperty("学历")
    private String education;
    @ApiModelProperty("教育经历")
    private String educationBackground;
    @ApiModelProperty("身份")
    private String status;
    @ApiModelProperty("教育机构")
    private String graduateInstitutions;
    @ApiModelProperty("专业")
    private String professional;
    @ApiModelProperty("毕业时间")
    private String graduateTime;
    @ApiModelProperty("生日")
    private String birthday;
    @ApiModelProperty("手机号码")
    private String phone;
    @ApiModelProperty("邮箱")
    private String email;
    @ApiModelProperty("微信号")
    private String vx;
    @ApiModelProperty("个人优势")
    private String personalAdvantage;
    @ApiModelProperty("岗位期望")
    private String jobExpectation;
    @ApiModelProperty("工作经历")
    private String workExperience;
    @ApiModelProperty("项目经历")
    private String projectExperience;
    @ApiModelProperty("其它")
    private String other;
    @ApiModelProperty("投简历人的id")
    private Integer userId;
}
