package com.yzdx.AiInterviewer.entity.vxEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yzdx.AiInterviewer.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("面试申请表")
@TableName("interview_application")
public class VxInterviewApplication extends BaseEntity {
    @ApiModelProperty("申请表id")
    @TableId(type = IdType.AUTO)
    private Integer id;
    @ApiModelProperty("用户id ")
    private Integer userId;
    @ApiModelProperty("招聘id")
    private Integer postingId;
    @ApiModelProperty("公司编码")
    private String companyEncoding;
    @ApiModelProperty("岗位id")
    private Integer jobId;
    @ApiModelProperty("简历id")
    private Integer resumeId;
    @ApiModelProperty("状态")
    private Integer status;
}
