package com.yzdx.AiInterviewer.entity.vxEntity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yzdx.AiInterviewer.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("微信面试通知类")
@TableName("interview_notice")
public class VxInterviewNotice extends BaseEntity {
    @TableId(type = IdType.AUTO)
    @ApiModelProperty("面试通知id")
    private Integer id;
    @ApiModelProperty("公司编码")
    private String companyEncoding;
    @ApiModelProperty("通知内容")
    private String detail;
    @ApiModelProperty("注意事项")
    private String attention;
    @ApiModelProperty("接收人id")
    private Integer recipient;
    @ApiModelProperty("岗位id")
    private Integer jobId;
    @ApiModelProperty("招聘面试id")
    private Integer postId;

    private Integer inviteId;

    @ApiModelProperty("面试结束时间")
    private String interviewEndTime;
}
