package com.yzdx.AiInterviewer.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yzdx.AiInterviewer.entity.ApplicationCount;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface ApplicationCountMapper extends BaseMapper<ApplicationCount> {

    @Delete("DELETE FROM application_count WHERE create_time < DATE_SUB(NOW(), INTERVAL 7 DAY);")
    void autoDeleteApplicationCount();

    @Select("SELECT * FROM application_count WHERE encoding=#{encoding} and create_time >= DATE_SUB(CURDATE(), INTERVAL 7 DAY)ORDER BY create_time ASC;")
    List<ApplicationCount> selectSevenData(@Param("encoding") String encoding);

    @Select("SELECT * FROM application_count WHERE encoding=#{encoding} and create_time >= DATE_SUB(CURDATE(), INTERVAL 30 DAY)ORDER BY create_time ASC;")
    List<ApplicationCount> selectThirtyData(@Param("encoding") String encoding);


}
