package com.yzdx.AiInterviewer.mapper.VxMapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yzdx.AiInterviewer.entity.vxEntity.VxFeedBack;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface VxFeedBackMapper extends BaseMapper<VxFeedBack> {

    @Select("SELECT * FROM feedback where status=#{status} ORDER BY ABS(TIMESTAMPDIFF(DAY, create_time, NOW())) ASC;")
    List<VxFeedBack> getAllFeedBack(@Param("status") Integer status);
}
