package com.yzdx.AiInterviewer.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yzdx.AiInterviewer.entity.ApplicationCount;

import java.util.List;

public interface ApplicationCountService extends IService<ApplicationCount> {

    /**
     * 获取7天内投递简历人数
     * @param encoding 公司编码
     * @return List<ApplicationCount>
     * */

    List<ApplicationCount> getApplicationCountSevenDays(String encoding);

    /**
     * 获取30天内投递简历人数
     * @param encoding 公司编码
     * @return List<ApplicationCount>
     * */

    List<ApplicationCount> getApplicationCountThirtyDays(String encoding);

}
