package com.yzdx.AiInterviewer.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yzdx.AiInterviewer.entity.JobExpectation;
import com.yzdx.AiInterviewer.entity.Resume;

import java.util.List;
import java.util.Map;

public interface ResumeService extends IService<Resume> {


    /**
     * 添加岗位信息
     * @param name
     * @param sex
     * @param status
     * @param graduateTime
     * @param birthday
     * @param phone
     * @param email
     * @param vx
     * @param personalAdvantage
     * @param other
     * @param jobExpectation
     * @param workExperience
     * @param projectExperience
     * @param userId
     * @return
     */
    Map<String,Object> writeResume(String name, String avatar, String sex, String status
            , String graduateTime, String birthday, String phone, String email
            , String vx, String personalAdvantage, String other, String education
            , String jobExpectation, String workExperience, String projectExperience, Integer userId);



    Map<String,Object> updateResume(Integer id, String name, String avatar,String sex, String status,
                         String graduateTime, String birthday, String phone, String email, String vx,
                         String personalAdvantage, String other,String education,String jobExpectation, String workExperience,
                         String projectExperience, Integer userId);

    Map<String,Object> getResume(Integer userId);


//    /**
//     * 添加岗位期望
//     * @param expectationType
//     * @param position
//     * @param location
//     * @param salary
//     * @return
//     */
//    Integer addJobExpectation(Integer expectationType, String position, String location, String salary,Integer userId);
//
//    /**
//     * 获取岗位期望列表
//     * @return
//     */
//    List<JobExpectation> getJobExpectation(Integer userId);
//
//    /**
//     * 更新岗位期望
//     * @param expectationType
//     * @param position
//     * @param location
//     * @param salary
//     * @param userId
//     * @return
//     */
//    Integer updateJobExpectation(Integer id,Integer expectationType, String position, String location, String salary, Integer userId);
//
//    /**
//     * 删除岗位期望
//     * @param id
//     * @return
//     */
//    Integer deleteJobExpectation(Integer id);


}
