package com.yzdx.AiInterviewer.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yzdx.AiInterviewer.entity.ApplicationCount;
import com.yzdx.AiInterviewer.mapper.ApplicationCountMapper;
import com.yzdx.AiInterviewer.service.ApplicationCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ApplicationCountServiceImpl extends ServiceImpl<ApplicationCountMapper,ApplicationCount> implements ApplicationCountService {

    @Autowired
    private ApplicationCountMapper applicationCountMapper;


    @Override
    public List<ApplicationCount> getApplicationCountSevenDays(String encoding) {

        List<ApplicationCount> applicationCounts = applicationCountMapper.selectSevenData(encoding);

        return applicationCounts;
    }

    @Override
    public List<ApplicationCount> getApplicationCountThirtyDays(String encoding) {

        List<ApplicationCount> applicationCounts = applicationCountMapper.selectThirtyData(encoding);

        return applicationCounts;
    }
}
